## GNOME
Class UnknownHelper

    java.lang.Object
      |
      +--GNOME.UnknownHelper

public class UnknownHelper
extends java.lang.Object

Method Summary
`static Unknown` `extract(org.omg.CORBA.Any a)`
`static java.lang.String` `id()`
`static void` `insert(org.omg.CORBA.Any a, Unknown that)`
`static Unknown` `narrow(org.omg.CORBA.Object that)`
`static Unknown` `read(org.omg.CORBA.portable.InputStream in)`
`static org.omg.CORBA.TypeCode` `type()`
`static void` `write(org.omg.CORBA.portable.OutputStream out, Unknown that)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public static void write(org.omg.CORBA.portable.OutputStream out,
                             Unknown that)

### read

    public static Unknown read(org.omg.CORBA.portable.InputStream in)

### extract

    public static Unknown extract(org.omg.CORBA.Any a)

### insert

    public static void insert(org.omg.CORBA.Any a,
                              Unknown that)

### type

    public static org.omg.CORBA.TypeCode type()

### id

    public static java.lang.String id()

### narrow

    public static Unknown narrow(org.omg.CORBA.Object that)
                          throws org.omg.CORBA.BAD_PARAM